Subject: bug#71939: tab-bar `tab-bar-show-inactive-group-tabs' feature request

From: Juri Linkov <[email-masked]>
Date: Thu, 04 Jul 2024 19:12:29 +0300

> I'd like to propose that `tab-bar' allow optionally showing tabs for
> inactive groups when `tab-bar-format-tabs-groups' is in force rather than
> the always-on policy of collapsing inactive groups.
>
> The proposed custom variable `tab-bar-show-inactive-group-tabs' is backward
> compatible for existing users and has no visible changes for people who do
> not set it to t. I will occasionally set the value locally to alter frame
> by frame behavior. I've also used a key binding to toggle the behavior to
> nice effect.
>
> I've been using these changes (via advice :override) under Emacs 29.3.

Thanks for the suggestion.  I'll try to adapt this for Emacs 31.